Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/mon-rsc-2.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/mon-rsc-2.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/mon-rsc-2.exp
@@ -35,11 +35,7 @@
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="2" operation="monitor" operation_key="rsc1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
    <synapse id="3">
      <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/mon-rsc-4.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/mon-rsc-4.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/mon-rsc-4.dot
@@ -1,7 +1,6 @@
  digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
 "rsc1_monitor_0 node1" -> "rsc1_start_0 node1" [ style = bold]
-"rsc1_monitor_0 node1" -> "rsc1_stop_0 node2" [ style = bold]
 "rsc1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc1_monitor_5000 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node1" -> "rsc1_monitor_5000 node1" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/mon-rsc-4.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/mon-rsc-4.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/mon-rsc-4.exp
@@ -19,11 +19,7 @@
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="2" operation="monitor" operation_key="rsc1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
    <synapse id="2">
      <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/notify-3.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/notify-3.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/notify-3.dot
@@ -10,7 +10,6 @@
 "child_rsc1:0_pre_notify_start_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:0_pre_notify_stop_0 node1" -> "rsc1_confirmed-pre_notify_stop_0" [ style = bold]
 "child_rsc1:0_pre_notify_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
-"child_rsc1:1_monitor_0 node1" -> "child_rsc1:1_stop_0 node2" [ style = bold]
 "child_rsc1:1_monitor_0 node1" -> "rsc1_start_0" [ style = bold]
 "child_rsc1:1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:1_post_notify_start_0 node1" -> "rsc1_confirmed-post_notify_running_0" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/notify-3.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/notify-3.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/notify-3.exp
@@ -111,9 +111,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="2" operation="monitor" operation_key="child_rsc1:1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
-      </trigger>
-      <trigger>
         <pseudo_event id="17" operation="stop" operation_key="rsc1_stop_0"/>
        </trigger>
      </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/novell-252693-2.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/novell-252693-2.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/novell-252693-2.dot
@@ -108,7 +108,6 @@
 "sles10_migrate_to_0 node2" [ style=bold color="green" fontcolor="black" ]
 "sles10_monitor_0 node1" -> "sles10_migrate_to_0 node2" [ style = bold]
 "sles10_monitor_0 node1" -> "sles10_start_0 node1" [ style = bold]
-"sles10_monitor_0 node1" -> "sles10_stop_0 node2" [ style = bold]
 "sles10_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "sles10_monitor_10000 node1" [ style=bold color="green" fontcolor="black" ]
 "sles10_start_0 node1" -> "sles10_monitor_10000 node1" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/novell-252693-2.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/novell-252693-2.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/novell-252693-2.exp
@@ -683,9 +683,6 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="12" operation="monitor" operation_key="sles10_monitor_0" on_node="node1" on_node_uuid="85d23ecf-8b5b-4cd3-9344-e1ff5d869d6a"/>
-      </trigger>
-      <trigger>
         <rsc_op id="80" operation="migrate_from" operation_key="sles10_migrate_from_0" on_node="node1" on_node_uuid="85d23ecf-8b5b-4cd3-9344-e1ff5d869d6a"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/novell-252693-3.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/novell-252693-3.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/novell-252693-3.dot
@@ -134,7 +134,6 @@
 "sles10_migrate_to_0 node2" [ style=bold color="green" fontcolor="black"]
 "sles10_monitor_0 node1" -> "sles10_migrate_to_0 node2" [ style = bold]
 "sles10_monitor_0 node1" -> "sles10_start_0 node1" [ style = bold]
-"sles10_monitor_0 node1" -> "sles10_stop_0 node2" [ style = bold]
 "sles10_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "sles10_monitor_10000 node1" [ style=bold color="green" fontcolor="black" ]
 "sles10_start_0 node1" -> "sles10_monitor_10000 node1" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/novell-252693-3.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/novell-252693-3.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/novell-252693-3.exp
@@ -812,9 +812,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="13" operation="monitor" operation_key="sles10_monitor_0" on_node="node1" on_node_uuid="85d23ecf-8b5b-4cd3-9344-e1ff5d869d6a"/>
-       </trigger>
-      <trigger>
         <rsc_op id="81" operation="migrate_from" operation_key="sles10_migrate_from_0" on_node="node1" on_node_uuid="85d23ecf-8b5b-4cd3-9344-e1ff5d869d6a"/>
       </trigger>
      </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/order3.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/order3.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/order3.dot
@@ -1,7 +1,6 @@
  digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
 "rsc1_monitor_0 node2" -> "rsc1_start_0 node2" [ style = bold]
-"rsc1_monitor_0 node2" -> "rsc1_stop_0 node1" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node2" -> "rsc2_start_0 node2" [ style = bold]
 "rsc1_start_0 node2" [ style=bold color="green" fontcolor="black" ]
@@ -9,7 +8,6 @@
 "rsc1_stop_0 node1" -> "rsc1_start_0 node2" [ style = bold]
 "rsc1_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc2_monitor_0 node2" -> "rsc2_start_0 node2" [ style = bold]
-"rsc2_monitor_0 node2" -> "rsc2_stop_0 node1" [ style = bold]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node2" -> "rsc3_start_0 node2" [ style = bold]
 "rsc2_start_0 node2" [ style=bold color="green" fontcolor="black" ]
@@ -19,7 +17,6 @@
 "rsc2_stop_0 node1" -> "rsc4_stop_0 node1" [ style = bold]
 "rsc2_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc3_monitor_0 node2" -> "rsc3_start_0 node2" [ style = bold]
-"rsc3_monitor_0 node2" -> "rsc3_stop_0 node1" [ style = bold]
 "rsc3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc3_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc3_stop_0 node1" -> "all_stopped" [ style = bold]
@@ -27,7 +24,6 @@
 "rsc3_stop_0 node1" -> "rsc3_start_0 node2" [ style = bold]
 "rsc3_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc4_monitor_0 node2" -> "rsc4_start_0 node2" [ style = bold]
-"rsc4_monitor_0 node2" -> "rsc4_stop_0 node1" [ style = bold]
 "rsc4_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc4_start_0 node2" -> "rsc2_start_0 node2" [ style = bold]
 "rsc4_start_0 node2" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/order3.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/order3.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/order3.exp
@@ -24,9 +24,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="2" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-       <trigger>
         <rsc_op id="8" operation="stop" operation_key="rsc2_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
      </inputs>
@@ -71,9 +68,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-       <trigger>
         <rsc_op id="10" operation="stop" operation_key="rsc3_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
      </inputs>
@@ -113,11 +107,7 @@
         <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="rsc3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
   <synapse id="8">
      <action_set>
@@ -153,9 +143,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="5" operation="monitor" operation_key="rsc4_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-       <trigger>
         <rsc_op id="8" operation="stop" operation_key="rsc2_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
      </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/order5.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/order5.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/order5.dot
@@ -2,7 +2,6 @@
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_monitor_0 node2" -> "rsc2_start_0 node2" [ style = bold]
-"rsc2_monitor_0 node2" -> "rsc2_stop_0 node1" [ style = bold]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_stop_0 node1" -> "all_stopped" [ style = bold]
@@ -10,7 +9,6 @@
 "rsc2_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc4_monitor_0 node2" -> "rsc4_start_0 node2" [ style = bold]
-"rsc4_monitor_0 node2" -> "rsc4_stop_0 node1" [ style = bold]
 "rsc4_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc4_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc4_stop_0 node1" -> "all_stopped" [ style = bold]
@@ -18,7 +16,6 @@
 "rsc4_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc5_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc6_monitor_0 node1" -> "rsc6_start_0 node1" [ style = bold]
-"rsc6_monitor_0 node1" -> "rsc6_stop_0 node2" [ style = bold]
 "rsc6_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc6_start_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc6_stop_0 node2" -> "all_stopped" [ style = bold]
@@ -26,7 +23,6 @@
 "rsc6_stop_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc7_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc8_monitor_0 node1" -> "rsc8_start_0 node1" [ style = bold]
-"rsc8_monitor_0 node1" -> "rsc8_stop_0 node2" [ style = bold]
 "rsc8_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc8_start_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc8_stop_0 node2" -> "all_stopped" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/order5.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/order5.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/order5.exp
@@ -31,11 +31,7 @@
         <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="7" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
    <synapse id="3">
      <action_set>
@@ -78,11 +74,7 @@
         <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="9" operation="monitor" operation_key="rsc4_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
    <synapse id="7">
      <action_set>
@@ -125,11 +117,7 @@
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="rsc6_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
   <synapse id="11">
      <action_set>
@@ -172,11 +160,7 @@
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="5" operation="monitor" operation_key="rsc8_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
   <synapse id="15">
      <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/order6.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/order6.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/order6.dot
@@ -2,7 +2,6 @@
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_monitor_0 node2" -> "rsc2_start_0 node2" [ style = bold]
-"rsc2_monitor_0 node2" -> "rsc2_stop_0 node1" [ style = bold]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_stop_0 node1" -> "all_stopped" [ style = bold]
@@ -10,7 +9,6 @@
 "rsc2_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc4_monitor_0 node2" -> "rsc4_start_0 node2" [ style = bold]
-"rsc4_monitor_0 node2" -> "rsc4_stop_0 node1" [ style = bold]
 "rsc4_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc4_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc4_stop_0 node1" -> "all_stopped" [ style = bold]
@@ -18,7 +16,6 @@
 "rsc4_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc5_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc6_monitor_0 node1" -> "rsc6_start_0 node1" [ style = bold]
-"rsc6_monitor_0 node1" -> "rsc6_stop_0 node2" [ style = bold]
 "rsc6_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc6_start_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc6_stop_0 node2" -> "all_stopped" [ style = bold]
@@ -26,7 +23,6 @@
 "rsc6_stop_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc7_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc8_monitor_0 node1" -> "rsc8_start_0 node1" [ style = bold]
-"rsc8_monitor_0 node1" -> "rsc8_stop_0 node2" [ style = bold]
 "rsc8_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc8_start_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc8_stop_0 node2" -> "all_stopped" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/order6.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/order6.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/order6.exp
@@ -31,11 +31,7 @@
         <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="7" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
    <synapse id="3">
      <action_set>
@@ -78,11 +74,7 @@
         <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="9" operation="monitor" operation_key="rsc4_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
    <synapse id="7">
      <action_set>
@@ -125,11 +117,7 @@
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="rsc6_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
   <synapse id="11">
      <action_set>
@@ -172,11 +160,7 @@
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="5" operation="monitor" operation_key="rsc8_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
   <synapse id="15">
      <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/params-1.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/params-1.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/params-1.dot
@@ -1,13 +1,10 @@
  digraph "g" {
 "Cancel rsc_c001n02_monitor_5000 c001n02" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_monitor_0 c001n01" -> "DcIPaddr_start_0 c001n02" [ style = bold]
-"DcIPaddr_monitor_0 c001n01" -> "DcIPaddr_stop_0 c001n02" [ style = bold]
 "DcIPaddr_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_monitor_0 c001n03" -> "DcIPaddr_start_0 c001n02" [ style = bold]
-"DcIPaddr_monitor_0 c001n03" -> "DcIPaddr_stop_0 c001n02" [ style = bold]
 "DcIPaddr_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_monitor_0 c001n08" -> "DcIPaddr_start_0 c001n02" [ style = bold]
-"DcIPaddr_monitor_0 c001n08" -> "DcIPaddr_stop_0 c001n02" [ style = bold]
 "DcIPaddr_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_monitor_5000 c001n02" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_start_0 c001n02" -> "DcIPaddr_monitor_5000 c001n02" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/params-1.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/params-1.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/params-1.exp
@@ -6,17 +6,7 @@
         <attributes CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f" CRM_meta_timeout="20000"  ip="127.0.0.20"/>
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="8" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="15" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="19" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
    <synapse id="1">
      <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/params-2.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/params-2.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/params-2.dot
@@ -11,7 +11,6 @@
 "rsc2_monitor_0 node1" -> "rsc2_start_0 node2" [ style = bold]
 "rsc2_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc2_monitor_0 node3" -> "rsc2_start_0 node2" [ style = bold]
-"rsc2_monitor_0 node3" -> "rsc2_stop_0 node2" [ style = bold]
 "rsc2_monitor_0 node3" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_stop_0 node2" -> "all_stopped" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/params-2.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/params-2.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/params-2.exp
@@ -86,11 +86,7 @@
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
-    <inputs>
-      <trigger>
-        <rsc_op id="11" operation="monitor" operation_key="rsc2_monitor_0" on_node="node3" on_node_uuid="node3"/>
-      </trigger>
-    </inputs>
+    <inputs/>
    </synapse>
    <synapse id="8">
      <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/params-5.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/params-5.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/params-5.dot
@@ -1,13 +1,10 @@
 digraph "g" {
 "Cancel rsc_c001n02_monitor_5000 c001n02" [ style=bold color="green" fontcolor="black"]
 "DcIPaddr_monitor_0 c001n01" -> "DcIPaddr_start_0 c001n02" [ style = bold]
-"DcIPaddr_monitor_0 c001n01" -> "DcIPaddr_stop_0 c001n02" [ style = bold]
 "DcIPaddr_monitor_0 c001n01" [ style=bold color="green" fontcolor="black"]
 "DcIPaddr_monitor_0 c001n03" -> "DcIPaddr_start_0 c001n02" [ style = bold]
-"DcIPaddr_monitor_0 c001n03" -> "DcIPaddr_stop_0 c001n02" [ style = bold]
 "DcIPaddr_monitor_0 c001n03" [ style=bold color="green" fontcolor="black"]
 "DcIPaddr_monitor_0 c001n08" -> "DcIPaddr_start_0 c001n02" [ style = bold]
-"DcIPaddr_monitor_0 c001n08" -> "DcIPaddr_stop_0 c001n02" [ style = bold]
 "DcIPaddr_monitor_0 c001n08" [ style=bold color="green" fontcolor="black"]
 "DcIPaddr_monitor_5000 c001n02" [ style=bold color="green" fontcolor="black"]
 "DcIPaddr_start_0 c001n02" -> "DcIPaddr_monitor_5000 c001n02" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/params-5.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/params-5.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/params-5.exp
@@ -6,17 +6,7 @@
         <attributes CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f" CRM_meta_timeout="20000"  ip="127.0.0.20"/>
       </rsc_op>
     </action_set>
-    <inputs>
-      <trigger>
-        <rsc_op id="8" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="15" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="19" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="1">
     <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/quorum-1.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/quorum-1.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/quorum-1.dot
@@ -2,7 +2,6 @@
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_monitor_0 node2" -> "rsc2_start_0 node2" [ style = bold]
-"rsc2_monitor_0 node2" -> "rsc2_stop_0 node1" [ style = bold]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_stop_0 node1" -> "all_stopped" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/quorum-1.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/quorum-1.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/quorum-1.exp
@@ -31,11 +31,7 @@
         <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
    <synapse id="3">
      <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/quorum-2.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/quorum-2.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/quorum-2.dot
@@ -2,7 +2,6 @@
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_monitor_0 node2" -> "rsc2_start_0 node2" [ style = bold]
-"rsc2_monitor_0 node2" -> "rsc2_stop_0 node1" [ style = bold]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_stop_0 node1" -> "all_stopped" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/quorum-2.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/quorum-2.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/quorum-2.exp
@@ -31,11 +31,7 @@
         <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
    <synapse id="3">
      <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/quorum-3.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/quorum-3.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/quorum-3.dot
@@ -1,14 +1,12 @@
  digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
 "rsc1_monitor_0 node2" -> "rsc1_start_0 node1" [ style = dashed]
-"rsc1_monitor_0 node2" -> "rsc1_stop_0 node1" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node1" [ style=dashed color="red" fontcolor="black" ]
 "rsc1_stop_0 node1" -> "all_stopped" [ style = bold]
 "rsc1_stop_0 node1" -> "rsc1_start_0 node1" [ style = dashed]
 "rsc1_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc2_monitor_0 node2" -> "rsc2_start_0 node2" [ style = dashed]
-"rsc2_monitor_0 node2" -> "rsc2_stop_0 node1" [ style = bold]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node2" [ style=dashed color="red" fontcolor="black" ]
 "rsc2_stop_0 node1" -> "all_stopped" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/quorum-3.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/quorum-3.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/quorum-3.exp
@@ -6,11 +6,7 @@
         <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
   <synapse id="1">
      <action_set>
@@ -28,11 +24,7 @@
         <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
   <synapse id="3">
     <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-10.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-node-10.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-10.dot
@@ -1,14 +1,12 @@
  digraph "g" {
 "all_stopped" [ style=dashed color="red" fontcolor="orange" ]
 "rsc1_monitor_0 node2" -> "rsc1_start_0 node2" [ style = dashed]
-"rsc1_monitor_0 node2" -> "rsc1_stop_0 node1" [ style = dashed]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node2" [ style=dashed color="red" fontcolor="black" ]
 "rsc1_stop_0 node1" -> "all_stopped" [ style = dashed]
 "rsc1_stop_0 node1" -> "rsc1_start_0 node2" [ style = dashed]
 "rsc1_stop_0 node1" [ style=dashed color="red" fontcolor="black" ]
 "rsc2_monitor_0 node2" -> "rsc2_start_0 node2" [ style = dashed]
-"rsc2_monitor_0 node2" -> "rsc2_stop_0 node1" [ style = dashed]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node2" [ style=dashed color="red" fontcolor="black" ]
 "rsc2_stop_0 node1" -> "all_stopped" [ style = dashed]
